# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define _without_gcj_support 1

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define bootstrap %{?_with_bootstrap:1}%{!?_with_bootstrap:%{?_without_bootstrap:0}%{!?_without_bootstrap:%{?_bootstrap:%{_bootstrap}}%{!?_bootstrap:0}}}

%define section free
%define cvsdate 20050722 

#FIXME (mbenitez)
%define generator 0

%bcond_without repolib

%define repodir %{_javadir}/repository.jboss.com/msv/msv/%{cvsdate}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

Summary:        Multischema Validator
Name:           msv
Version:        1.2
Release:        0.%{cvsdate}.10%{?dist}
Epoch:          0
License:        BSD-style
URL:            http://msv.dev.java.net
Group:          Text Processing/Markup/XML
Source0:        msv-20050722.tar.gz
Source1:	msv-20050722.pom
Source2:	msv-component-info.xml
Patch0:         msv-msv-build_xml.patch
Patch1:         msv-relames-build_xml.patch
Patch2:         msv-xsdlib-build_xml.patch
Patch3:         msv-xmlgen-build_xml.patch
# Backported from CVS tip; can go away with an update
# Allow compilation with JDK 1.5
Patch4:		msv-jdk15.patch
Patch5:		msv-nocrimson.patch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
# FIXME ant-apache-resolver is a trick for resolver to be found
BuildRequires:  ant-apache-resolver
# FIXME ant-trax is a trick for xalan to be found
BuildRequires:  ant-trax
# FIXME (mbenitez) generator module gives compilation errors
Patch6:		msv-xmlgen-build_xml_2.patch
BuildRequires:  ant >= 0:1.6, jpackage-utils >= 0:1.6
BuildRequires:  javacc
BuildRequires:  crimson
BuildRequires:  junit
%if ! %{bootstrap}
BuildRequires:  jdom
BuildRequires:  saxon
%endif

BuildRequires:  isorelax
BuildRequires:  relaxngDatatype
BuildRequires:  jbossweb-servlet-2.5-api
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
BuildRequires:  xml-commons-resolver

BuildRequires: maven-deploy-plugin

%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if %{gcj_support}
BuildRequires:    gnu-crypto
BuildRequires:    java-gcj-compat-devel
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

Requires:       isorelax
Requires:       relaxngDatatype
Requires:       xerces-j2
Requires:       xml-commons-apis
Requires:       xml-commons-resolver
Requires:       msv-xsdlib
Provides:       msv-msv
Provides:       msv-strict
Obsoletes:      msv-strict

%description
The Sun Multi-Schema XML Validator (MSV) is a Java 
technology tool to validate XML documents against 
several kinds of XML schemata. It supports RELAX NG, 
RELAX Namespace, RELAX Core, TREX, XML DTDs, and a 
subset of XML Schema Part 1. This latest (version 1.2) 
release includes several bug fixes and adds better 
conformance to RELAX NG/W3C XML standards and JAXP 
masquerading. 

NOTE: This specific build of msv does not support 'crimson' (use xerces instead)

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package        javadoc
Summary:        Javadoc for MSV proper
Group:          Development/Documentation
Provides:       msv-strict-javadoc
Obsoletes:      msv-strict-javadoc

%description    javadoc
%{summary}.

%package        demo
Summary:        Samples for %{name}
Group:          Development/Documentation
Requires:       msv-msv
Requires:       msv-xsdlib
Requires:       servlet_2_5_api

%description    demo
%{summary}.

%if %{generator}
%package        relames
Summary:        Relames 
Group:          Text Processing/Markup/XML
Requires:       isorelax
Requires:       relaxngDatatype
Requires:       xalan-j2
Requires:       xerces-j2
Requires:       xml-commons-apis
Requires:       xml-commons-resolver
Requires:       msv-msv
Requires:       msv-xsdlib

%description    relames
%{summary}.

%package        relames-javadoc
Summary:        Javadoc for relames
Group:          Development/Documentation

%description    relames-javadoc
%{summary}.
%endif

%package        rngconv
Summary:        rngconv
Group:          Text Processing/Markup/XML
Requires:       isorelax
Requires:       relaxngDatatype
Requires:       xerces-j2
Requires:       xml-commons-apis
Requires:       msv-msv
Requires:       msv-xsdlib

%description    rngconv
%{summary}.

%if %{generator}
%package        xmlgen
Summary:        xmlgen
Group:          Text Processing/Markup/XML
Requires:       isorelax
Requires:       relaxngDatatype
Requires:       xml-commons-apis
Requires:       xerces-j2
Requires:       msv-msv
Requires:       msv-xsdlib

%description    xmlgen
%{summary}.

%package        xmlgen-javadoc
Summary:        Javadoc for xmlgen
Group:          Development/Documentation

%description    xmlgen-javadoc
%{summary}.
%endif

%package        xsdlib
Summary:        xsdlib
Group:          Text Processing/Markup/XML
Requires:       relaxngDatatype
Provides:       xsdlib
Obsoletes:      xsdlib

%description    xsdlib
%{summary}.

%package        xsdlib-javadoc
Summary:        Javadoc for xsdlib
Group:          Development/Documentation
Provides:       xsdlib-javadoc
Obsoletes:      xsdlib-javadoc

%description    xsdlib-javadoc
%{summary}.

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

%prep
%setup -q -n %{name}-%{cvsdate}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
#for j in $(find . -name "*.jar"); do
#    mv $j $j.no
#done
# delete Class-Path: from manifests
for m in $(find . -name MANIFEST.MF); do
sed -e '/^Class-Path:/d' $m > tempf
cp tempf $m
done
rm tempf
find . -name "*.jar" -exec rm -f {} \;

%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%if !%{generator}
%patch6 -b .sav6
%endif

%build
pushd shared/lib
ln -sf $(build-classpath ant) ant.jar
#ln -sf $(build-classpath crimson) crimson.jar
#ln -sf $(build-classpath dom4j) dom4j.jar
ln -sf $(build-classpath isorelax) isorelax.jar
ln -sf $(build-classpath junit) junit.jar
ln -sf $(build-classpath relaxngDatatype) relaxngDatatype.jar
ln -sf $(build-classpath xml-commons-resolver) resolver.jar
%if ! %{bootstrap}
ln -sf $(build-classpath jdom) jdom.jar
ln -sf $(build-classpath saxon) saxon.jar
%endif
ln -sf $(build-classpath jbossweb-servlet-2.5-api) servlet.jar
ln -sf $(build-classpath xalan-j2) xalan.jar
ln -sf $(build-classpath xerces-j2) xercesImpl.jar
ln -sf $(build-classpath xml-commons-apis) xmlParserAPIs.jar
popd

ant release

%install
rm -rf $RPM_BUILD_ROOT

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap msv msv %{version} JPP %{name}

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 package/msv.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} 
ln -sf msv-%{version}.jar msv-msv-%{version}.jar
)
%if %{generator}
install -m 644 package/relames.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-relames-%{version}.jar
%endif
install -m 644 package/rngconv.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-rngconv-%{version}.jar
%if %{generator}
install -m 644 package/xmlgen.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-xmlgen-%{version}.jar
%endif
install -m 644 package/xsdlib.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-xsdlib-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir} 
ln -sf msv-%{version}.jar msv-strict.jar
ln -sf msv-xsdlib-%{version}.jar xsdlib.jar
)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/msv
cp -pr msv/dist/javadoc/* \
                $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/msv
%if %{generator}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/relames
cp -pr relames/dist/javadoc/* \
                $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/relames
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/xmlgen
cp -pr generator/dist/javadoc/* \
                $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/xmlgen
%endif
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/xsdlib
cp -pr xsdlib/dist/javadoc/* \
                $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/xsdlib
(cd $RPM_BUILD_ROOT%{_javadocdir}
ln -s %{name}-%{version}/msv %{name}-msv
%if %{generator}
ln -s %{name}-%{version}/relames %{name}-relames
%endif
ln -s %{name}-%{version}/xsdlib %{name}-xsdlib
)

# docs
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/msv
install -m 644 msv/doc/* \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/msv
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/msv/Apache-LICENSE-1.1.txt
%if %{generator}
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/relames
install -m 644 relames/doc/* \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/relames
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/relames/Apache-LICENSE-1.1.txt
%endif
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/rngconv
install -m 644 rngconverter/doc/* \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/rngconv
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/rngconv/Apache-LICENSE-1.1.txt
%if %{generator}
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/xmlgen
install -m 644 generator/doc/* \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/xmlgen
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/xmlgen/Apache-LICENSE-1.1.txt
%endif
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/xsdlib
install -m 644 xsdlib/doc/* \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/xsdlib
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/xsdlib/Apache-LICENSE-1.1.txt

#examples
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/msv
cp -pr msv/dist/examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/msv
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/xsdlib
cp -pr xsdlib/dist/examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/xsdlib

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{repodir}

%{_bindir}/mvn-jpp deploy:deploy-file -DgroupId=msv -DartifactId=msv -Dversion=%{cvsdate} -Dpackaging=jar -Dfile=%{buildroot}%{_javadir}/msv.jar -DpomFile=%{SOURCE1} -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ -DrepositoryId=jboss-releases

%{__mkdir_p} %{buildroot}%{repodirlib}
%{__cp} -p %{SOURCE2} %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | %{__sed} 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
%{__sed} -i "s/@VERSION@/%{version}-brew/g" %{buildroot}%{repodir}/component-info.xml
%{__mkdir_p} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE0} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE1} %{buildroot}%{repodirlib}/msv.pom
%{__cp} -p %{buildroot}%{_javadir}/*.jar %{buildroot}%{repodirlib}/

%endif

%post
%update_maven_depmap 

%postun
%update_maven_depmap

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}-msv
ln -s %{name}-%{version}/msv %{_javadocdir}/%{name}-msv

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-msv
fi

%if %{generator}
%post relames-javadoc
rm -f %{_javadocdir}/%{name}-relames
ln -s %{name}-%{version}/relames %{_javadocdir}/%{name}-relames

%postun relames-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-relames
fi
%endif

%post xsdlib-javadoc
rm -f %{_javadocdir}/%{name}-xsdlib
ln -s %{name}-%{version}/xsdlib %{_javadocdir}/%{name}-xsdlib

%postun xsdlib-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-xsdlib
fi

%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}*/%{name}-%{version}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-msv-%{version}.jar
%{_javadir}*/%{name}-msv.jar
%{_javadir}*/msv-strict.jar
%{_docdir}/%{name}-%{version}/msv/license.txt
%{_docdir}/%{name}-%{version}/msv/copyright.txt
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-msv*
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}/msv
%ghost %{_javadocdir}/%{name}-msv

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}/msv
%{_datadir}/%{name}-%{version}/xsdlib

%if %{generator}
%files relames
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-relames-%{version}.jar
%{_javadir}*/%{name}-relames.jar
#%{_docdir}/%{name}-%{version}/relames/license.txt
%{_docdir}/%{name}-%{version}/relames/copyright.txt
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-relames*
%endif

%files relames-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}/relames
%ghost %{_javadocdir}/%{name}-relames
%endif

%files rngconv
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-rngconv-%{version}.jar
%{_javadir}*/%{name}-rngconv.jar
%{_docdir}/%{name}-%{version}/rngconv/license.txt
%{_docdir}/%{name}-%{version}/rngconv/copyright.txt
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-rngconv*
%endif

%if %{generator}
%files xmlgen
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-xmlgen-%{version}.jar
%{_javadir}*/%{name}-xmlgen.jar
%{_docdir}/%{name}-%{version}/xmlgen/license.txt
%{_docdir}/%{name}-%{version}/xmlgen/copyright.txt
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-xmlgen*
%endif

%files xmlgen-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}/xmlgen
%endif

%files xsdlib
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-xsdlib-%{version}.jar
%{_javadir}*/%{name}-xsdlib.jar
%{_javadir}*/xsdlib.jar
%{_docdir}/%{name}-%{version}/xsdlib/license.txt
%{_docdir}/%{name}-%{version}/xsdlib/copyright.txt
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-xsdlib*
%endif

%files xsdlib-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}/xsdlib
%ghost %{_javadocdir}/%{name}-xsdlib

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/msv/ChangeLog.txt
%{_docdir}/%{name}-%{version}/msv/*.html
%{_docdir}/%{name}-%{version}/msv/*.gif
%{_docdir}/%{name}-%{version}/msv/README.txt
%if %{generator}
%{_docdir}/%{name}-%{version}/relames/README.txt
%endif
%{_docdir}/%{name}-%{version}/rngconv/README.txt
%if %{generator}
%{_docdir}/%{name}-%{version}/xmlgen/*.html
%{_docdir}/%{name}-%{version}/xmlgen/README.txt
%endif
%{_docdir}/%{name}-%{version}/xsdlib/*.html
%{_docdir}/%{name}-%{version}/xsdlib/README.txt

%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Wed Feb 9 2011 Yiqiao Wang <yiwang@redhat.com> -  0:1.2-0.20050722.10
- Add %%update_maven_depmap in %%post and %%postun

* Thu Dec 23 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.2-0.20050722.9
- Work around maven bug that cause pom path to be wrong in maven2-brew

* Wed Dec 22 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.2-0.20050722.8
- Add repolib 

* Mon Dec 13 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.2-0.20050722.7
- Build with Maven 2.2.1
- Fix %%files for signed jars
- Add the line to find and remove any binaries


* Thu Aug 05 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.2-0.20050722.6
- Change R servletapi5 to servlet_2_5_api and move it to the demo sub-package

* Fri Jun 18 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.2-0.20050722.5.3
- Apply patch1

* Fri Jun 18 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.2-0.20050722.5.2
- Merge with 5jpp

* Mon Jun 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.2-0.20050722.4.2.1
- Fix Release tag

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.2-0.20050722.4.1.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.2-0.20050722.4.1.2
- Rebuild

* Thu Mar 11 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.2-0.20050722.4.1.1
- Disable aot Compiler

* Fri Mar 05 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.2-0.20050722.4.1
- Adjust release tag
- Change (B)R servlet to jbossweb-servlet-2.5-api / servletapi5
- Build without generator and relames modules
- Add BR crimson and comment patch for relames build.xml

* Fri Mar 09 2007 Fernando Nasser <fnasser@redhat.com> - 0:1.2-0.20050722.4jpp.ep1.1
- Merge with upstream

* Fri Mar 09 2007 Fernando Nasser <fnasser@redhat.com> - 0:1.2-0.20050722.4jpp
- Create main msv package instead of msv-msv

* Mon Feb 12 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.2-0.20050722.3jpp
- Add bootstrap option to build without saxon nor jdom
- Add gcj_support option

* Mon Feb 27 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2-0.20050722.2jpp_1rh
- First Red Hat build

* Mon Feb 17 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2-0.20050722.2jpp
- First JPP 1.7 build

* Wed Aug 17 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.2-0.20050722.1jpp
- First JPP from this code base
